package com.zd.laboratory.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.enums.AuditStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 学生卡审核提交对象
 *
 * @Author: zhoupan
 * @Date: 2021/09/10/17:31
 * @Description:
 */
@ApiModel("学生卡审核提交对象")
public class LabStudentsInfoAuditDTO {

    /**
     * 学生ID（userId）
     */
    @ApiModelProperty(value = "学生ID")
    @NotNull(message = "学生ID不能为空！")
    private Long joinStudentsId;


    /**
     * 审核类型
     */
    @ApiModelProperty(value = "审核类型")
    @JsonIgnore
    private AuditStatusEnum auditStatus;


    @ApiModelProperty(value = "意见")
    private String opinions;


    public Long getJoinStudentsId() {
        return joinStudentsId;
    }

    public void setJoinStudentsId(Long joinStudentsId) {
        this.joinStudentsId = joinStudentsId;
    }

    public AuditStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuditStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }


    public String getOpinions() {
        return opinions;
    }

    public void setOpinions(String opinions) {
        this.opinions = opinions;
    }
}
